<?xml version="1.0" encoding="utf-8"?>
<s:TitleWindow xmlns:fx="http://ns.adobe.com/mxml/2009" 
			   xmlns:s="library://ns.adobe.com/flex/spark" 
			   xmlns:mx="library://ns.adobe.com/flex/mx" width="925" height="100%" creationComplete="titlewindow1_creationCompleteHandler(event)"
			   title="Cor produto">
	<fx:Declarations>
		<!-- Place non-visual elements (e.g., services, value objects) here -->
	</fx:Declarations>
	<fx:Style source="../../../framework/util/estilo.css"/>
	
	
	
	<fx:Script>
		<![CDATA[
			import br.net.upcode.framework.amf.AMFConnector;
			import br.net.upcode.framework.popup.UPCPopUpManager;
			import br.com.desenv.framework.util.DsvObjectUtil;
			import mx.core.FlexGlobals;;
			import mx.collections.ArrayCollection;
			import mx.rpc.events.FaultEvent;
			import mx.rpc.events.ResultEvent;
			import mx.rpc.remoting.mxml.RemoteObject;
			import mx.controls.Alert;
			
			import mx.events.FlexEvent;
			import mx.managers.PopUpManager;
			import mx.messaging.AbstractConsumer;
			
			import mx.validators.Validator;
			
			import br.com.desenv.framework.component.visual.IgnObjetoImagem;
			import br.com.desenv.framework.component.visual.IgnVisualizadorImagem;
			import br.com.desenv.nepalign.vo.Cor;
			import br.com.desenv.nepalign.vo.CorProduto;
			import br.com.desenv.nepalign.vo.EstoqueProduto;
			import br.com.desenv.nepalign.vo.Page;
			import br.com.desenv.nepalign.vo.Produto;
			
			[Bindable]
			public var listaCorProduto: ArrayCollection = new ArrayCollection();
			private var pageNumber: int = 1;
			private var totalRecords: int;
			private var pageSize: int = 15;
			private var lastPage: int = 1;
			[Bindable]
			public var produto:Produto = new Produto();
			[Bindable]
			private var listaValidadorForm: Array = new Array();
			
			[Bindable]
			public var useLikeChild:Boolean = false;
	
			
			protected function titlewindow1_creationCompleteHandler(event:FlexEvent):void
			{
				closeButton.visible = !useLikeChild;				
			}
			
			public function carregarValores():void
			{
				var ROProduto: RemoteObject  = AMFConnector.instance.prepararObjetoRemoto("estoqueProdutoService");	
				ROProduto.getOperation("consultaCorProduto").send(produto.id, "");
				ROProduto.addEventListener(ResultEvent.RESULT,consultaResultHandler);
			}
			
			
			private function validar(event: MouseEvent):Boolean 
			{
				var listaErroValidador:Array = Validator.validateAll(this.listaValidadorForm);
				var validado:Boolean = listaErroValidador.length == 0;
				return validado;
			}
			
			
			private function consultaResultHandler( event: ResultEvent ): void
			{
				var paginaCorProduto: Page = event.result as Page;
				pageNumber = paginaCorProduto.pageNumber;
				totalRecords = paginaCorProduto.totalRecords;
				lastPage = paginaCorProduto.lastPage();
				listaCorProduto = paginaCorProduto.recordList;
				
			}		
			
			protected function dataGridCorProduto_doubleClickHandler(event:MouseEvent):void
			{
				var ignVisulalizadorImagem:IgnVisualizadorImagem = new IgnVisualizadorImagem();
				var estoque:EstoqueProduto = new EstoqueProduto();
				var corProduto:CorProduto = this.dataGridCorProduto.selectedItem as CorProduto;
				estoque.produto = corProduto.produto;
				estoque.ordemProduto = corProduto.ordemProduto;
				estoque.cor = corProduto.cor;
				
				ignVisulalizadorImagem.estoqueProduto = estoque;

				UPCPopUpManager.instance.addPopUp(ignVisulalizadorImagem, this,true);
				PopUpManager.centerPopUp(ignVisulalizadorImagem);
				
				ignVisulalizadorImagem.carregaImagens();

			}
			
			public function disposeWindow():void
			{
				this.listaCorProduto.removeAll();
			}
		]]>
	</fx:Script>
	<mx:Grid>
		<mx:GridRow>
			<mx:GridItem>
				<mx:DataGrid id="dataGridCorProduto" rowCount="13" verticalScrollPolicy="on" horizontalScrollPolicy="off" dataProvider="{listaCorProduto}" doubleClick="dataGridCorProduto_doubleClickHandler(event)" doubleClickEnabled="true">
					<mx:columns>
						<mx:DataGridColumn visible="false" dataField="id"/>
						<mx:DataGridColumn dataField="produto.nomeProduto" headerText="Produto" resizable="true" width="500"/>
						<mx:DataGridColumn dataField="cor.descricaoCorEmpresa" headerText="Cor" resizable="true" width="200"/>
						<mx:DataGridColumn dataField="ordemProduto.descricao" headerText="Ordem Produto" resizable="true" width="200"/>
						</mx:columns>
				</mx:DataGrid>
			</mx:GridItem>
		</mx:GridRow>	
	</mx:Grid>	
</s:TitleWindow>
